Subject: [i2rs] Ben Campbell's No Objection on draft-ietf-i2rs-yang-network-topo-10: (with COMMENT)

From: "Ben Campbell" <[email-masked]>
Date: Wed, 04 Jan 2017 14:18:55 -0800

Ben Campbell has entered the following ballot position for
draft-ietf-i2rs-yang-network-topo-10: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-i2rs-yang-network-topo/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I agree with both of Kathleen's DISCUSS points.

---

From: "Susan Hares" <[email-masked]>
Date: Wed, 4 Jan 2017 19:27:20 -0500

Ben: 

I have responded to Kathleen's comment with a lengthy set of questions.  Would you engage in the conversation on that thread? 

Summary of the issue:  These modules and any module that refers to these must utilize the privacy and security concerns in the draft-ietf-i2rs-protocol-security-requirements-17.txt.   I see the authors referred to the ephemeral state, but left out a reference to draft-ietf-i2rs-protocol-security-requirements.  I would suggest that the authors add this reference at the very least. 

Sue 

-----Original Message-----
From: Ben Campbell [mailto:[email-masked]] 
Sent: Wednesday, January 4, 2017 5:19 PM
To: The IESG
Cc: [email-masked]; Susan Hares; [email-masked]; [email-masked]; [email-masked]
Subject: Ben Campbell's No Objection on draft-ietf-i2rs-yang-network-topo-10: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

---

From: "Ben Campbell" <[email-masked]>
Date: Wed, 04 Jan 2017 18:45:07 -0600

On 4 Jan 2017, at 18:27, Susan Hares wrote:

> Ben:
>
> I have responded to Kathleen's comment with a lengthy set of 
> questions.  Would you engage in the conversation on that thread?

I saw your response to Kathleen. I will watch the conversation there, 
and respond if I think I have something further to add.

Thanks!

Ben.

>
> Summary of the issue:  These modules and any module that refers to 
> these must utilize the privacy and security concerns in the 
> draft-ietf-i2rs-protocol-security-requirements-17.txt.   I see the 
> authors referred to the ephemeral state, but left out a reference to 
> draft-ietf-i2rs-protocol-security-requirements.  I would suggest that 
> the authors add this reference at the very least.
>
> Sue
>
> Cc: [email-masked]; Susan Hares; 
> [email-masked]; [email-masked]; [email-masked]
> Subject: Ben Campbell's No Objection on 
> draft-ietf-i2rs-yang-network-topo-10: (with COMMENT)
>
> email addresses included in the To and CC lines. (Feel free to cut 
> this introductory paragraph, however.)
>
>
> Please refer to 
> https://www.ietf.org/iesg/statement/discuss-criteria.html

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 5 Jan 2017 10:24:26 +0100

I think we need security solution text not security requirements text.
Anyway, for YANG modules, there is a security considerations template
(RFC 6087 section 6 and kept updated at [1]) that I think applies here
as well.

[1] https://trac.ietf.org/trac/ops/wiki/yang-security-guidelines

/js

On Wed, Jan 04, 2017 at 07:27:20PM -0500, Susan Hares wrote:
> _______________________________________________
> i2rs mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i2rs

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: "Susan Hares" <[email-masked]>
Date: Thu, 5 Jan 2017 07:32:48 -0500

Juergen: 

Where does this security solution cover the privacy issues or the ephemeral
state concepts I2RS protocol security suggests?  I think this solution is a
good start, but if we are using this solution in this context I think this
needs to be upgraded.  How do go about expanding this section to include
these issues? 

Which WG or set of people do we discuss this with? 

Sue 

-----Original Message-----
From: Juergen Schoenwaelder [mailto:[email-masked]] 
Sent: Thursday, January 5, 2017 4:24 AM
To: Susan Hares
Cc: 'Ben Campbell'; 'The IESG'; [email-masked];
[email-masked]; [email-masked]
Subject: Re: [i2rs] Ben Campbell's No Objection on
draft-ietf-i2rs-yang-network-topo-10: (with COMMENT)

I think we need security solution text not security requirements text.
Anyway, for YANG modules, there is a security considerations template (RFC
6087 section 6 and kept updated at [1]) that I think applies here as well.

/js

On Wed, Jan 04, 2017 at 07:27:20PM -0500, Susan Hares wrote:
> Ben: 
> 
> I have responded to Kathleen's comment with a lengthy set of questions.
Would you engage in the conversation on that thread? 
> 
> Summary of the issue:  These modules and any module that refers to these
must utilize the privacy and security concerns in the
draft-ietf-i2rs-protocol-security-requirements-17.txt.   I see the authors
referred to the ephemeral state, but left out a reference to
draft-ietf-i2rs-protocol-security-requirements.  I would suggest that the
authors add this reference at the very least.

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 5 Jan 2017 14:49:26 +0100

Sue,

there are places to fill in concrete text. There is even some advice
how to do this.

/js